Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        K Desktop Environment - Educational Applications
Version:        4.1.0
Release:        1

Name:           kdeedu

Group:          Graphical Desktop/KDE4
License:        GPLv2
URL:            http://www.kde.org/
Source0:        kdeedu-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kde-filesystem >= 4
BuildRequires:  kdelibs-devel >= %{version}
BuildRequires:  cmake
BuildRequires:	mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  qt4-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXau-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXdmcp-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXrender-devel
BuildRequires:  boost-devel
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  gamin-devel
BuildRequires:  giflib-devel
BuildRequires:  gpsd-devel
BuildRequires:  libjpeg-devel
BuildRequires:  kdelibs-devel
BuildRequires:  ncurses-devel
BuildRequires:  pcre-devel
BuildRequires:  phonon-devel
BuildRequires:  libpng-devel
BuildRequires:  python
BuildRequires:  libstdc++-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  zlib-devel
BuildRequires:  libnova-devel
BuildRequires:  gmm++
BuildRequires:  ocaml
BuildRequires:  facile
BuildRequires:  openbabel-devel
BuildRequires:  cfitsio-devel
BuildRequires:  indilib-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires(post): xdg-utils
Requires(postun): xdg-utils
Obsoletes:	marble

%description
Educational/Edutainment applications for KDE4 :
* blinken: Simon Says Game
* kalzium: A periodic table of the elements
* kanagram: Anagram game
* kgeography: Learn geography
* khangman: Hangman Game
* kiten: Japanese Reference/Study Tool
* klettres: French alphabet tutor
* ktouch: Learn and practice touch typing
* kturtle: Logo Programming Environment
* kwordquiz: Flashcard and vocabulary learning
* marble: A World Atlas
* parley: Vocabulary Trainer
* step: Interactive physical simulator

%package devel
Group:    	Development/Libraries
Summary:  	Developer files for %{name}
Requires: 	kdelibs-devel
Provides:  	kdeedu4-devel = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd


make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}

%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files
%defattr(-,root,root,-)
%exclude %{_bindir}/indiserver
%{_bindir}/
%{_datadir}/applications/
%{_datadir}/config/
%{_datadir}/config.kcfg/
%{_libdir}/
%{_datadir}/dbus-1/
%{_datadir}/icons/
%{_datadir}/kde4/
%{_datadir}/doc/

%files devel
%defattr(-,root,root,-)
%{_includedir}

%changelog
* Fri Aug 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-1
- Initial CCux package release
- based on old kde3 kdeedu and kde4 kdegraphics package
